import request from '@/utils/request'

// 查询工具信息列表
export function listTool(query) {
  return request({
    url: '/tool/list',
    method: 'get',
    params: query
  })
}

// 查询工具信息详细
export function getTool(toolId) {
  return request({
    url: '/tool/' + toolId,
    method: 'get'
  })
}


export function getInfoByBpmcId(bpmcId) {
  return request({
    url: '/tool/bpmc/' + bpmcId,
    method: 'get'
  })
}

// 新增工具信息
export function addTool(data) {
  return request({
    url: '/tool',
    method: 'post',
    data: data,
    timeout: 30*60*1000
  })
}

// 修改工具信息
export function updateTool(data) {
  return request({
    url: '/tool/edit',
    method: 'post',
    data: data
  })
}

// 删除工具信息
export function delTool(toolId) {
  return request({
    url: '/tool/' + toolId,
    method: 'delete'
  })
}

export function checkToolExist(params) {
  return request({
    url: '/tool/checkToolExist',
    method: 'get',
    params: params
  })
}


// 获取统计信息
export function getStatistics(query) {
  return request({
    url: '/tool/statistics',
    method: 'get',
    params: query
  })
}

// get导出word字段
export function exportWordList(query) {
  return request({
    url: '/tool/export/word/list',
    method: 'post',
    data: query
  })
}
